How to run Minecraft on Mac OS X Yosemite 10.10.1

I got this message when running Minecraft on Yosemite, and when I googled I found that this is common problems.

Bildschirmfoto 2015-01-03 um 7.27.35 nachm.

Some references say that the latest JDK should be installed while the earlier ones should be uninstalled. I have uninstalled the earlier and installed the latest JDK but the problem persisted.

So I followed this reference to make it work.

These are the steps:Install ant

  1. Download Java Application Bundler
  2. Download Minecraft.jar from here *after clicking “Show all platforms” and choose that one under “Linux and Other
  3. Create a file named build.xml and type this code in
    Bildschirmfoto 2015-01-03 um 7.22.29 nachm.
  4. Organize my file like this
    Bildschirmfoto 2015-01-03 um 7.21.13 nachm.
    *Notes: at this point, the dist folder is empty, it will contain Minecraft.app after I run ant command*
  5. Open terminal and run ant like this
    Bildschirmfoto 2015-01-03 um 7.21.56 nachm.
  6. Now the dist folder will contain Minecraft.app in it. Move it to Applications folder

And it works!

Bildschirmfoto 2015-01-03 um 7.17.19 nachm.

Bildschirmfoto 2015-01-03 um 7.23.56 nachm.

Bildschirmfoto 2015-01-03 um 7.24.02 nachm.

My next step is to make canarymod and scriptcraft work to make mods on Minecraft. Wish me luck.

Advertisements